{% extends 'base.html' %}
{% load static %}


{% block headone %}
    <title>Activities</title>
    <link rel="stylesheet" href="{% static '/css/story6.css' %}">
{% endblock %}

<!-- Add activity form -->
{% block content %}
<h1 class="text-center" style="padding-top: 6.944vw;">My Activity List</h1>
    <div>
        <form id="form" method="POST" action="/story6/post-activity" enctype="multipart/form-data" style="padding: 6.944vw">
            {% csrf_token %}
            <div class="form-group">
                {{ forms.kegiatan_form.as_p }}
            </div>
            <br>
            <button type="submit" class="btn btn-warning" id="bton" style="background-color: #FED653; border:0">Add activity</button>
        </form>
    </div>
    <br><br>

    <!-- Add card -->
    {% for kegiatan in data.kegiatan %}
    <div class="card border-dark mb-3" style="max-width: 18rem; text-align: center; margin: 0 auto;
        float: none;">
        <div class="card-header">{{ kegiatan.nama }}</div>
        <div class="card-body text-dark">
            <h5 class="card-title">Participants :</h5>
            {% for peserta in data.peserta %}
            {% if peserta.kegiatan.nama == kegiatan.nama %}
            <p class="card-text">{{ peserta.nama }}</p>
            {% endif %}
            {% endfor %}
        </div>
        <form id="form" method="POST" action="/story6/post-participant/{{ kegiatan.id }}" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group">
                {{ forms.peserta_form.as_p }}
            </div>
            <br>
            <button type="submit" class="btn btn-warning" id="bton" style="background-color: #FED653; border:0;">Add participant</button>
        </form>
    </div>
    {% endfor %}

{% endblock content %}